From cd154d3285b2f4f1942f308fa087b79e0a2bdcaa Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 15 Apr 2024 14:05:45 +0200
Subject: [PATCH v2 2/3] Fix incorrect parameter name in prototype

The function declaration for select_next_encryption_method use the
variable name have_valid_connection, so fix the prototype in the
header to match that.

Reported-by: Alexander Lakhin <exclusion@gmail.com>
Discussion: https://postgr.es/m/3F577953-A29E-4722-98AD-2DA9EFF2CBB8@yesql.se
---
 src/interfaces/libpq/fe-connect.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/interfaces/libpq/fe-connect.c b/src/interfaces/libpq/fe-connect.c
index 9db1700ffb..ec20e3f3a9 100644
--- a/src/interfaces/libpq/fe-connect.c
+++ b/src/interfaces/libpq/fe-connect.c
@@ -397,7 +397,7 @@ static bool init_allowed_encryption_methods(PGconn *conn);
 static int	encryption_negotiation_failed(PGconn *conn);
 #endif
 static bool connection_failed(PGconn *conn);
-static bool select_next_encryption_method(PGconn *conn, bool negotiation_failure);
+static bool select_next_encryption_method(PGconn *conn, bool have_valid_connection);
 static PGPing internal_ping(PGconn *conn);
 static void pqFreeCommandQueue(PGcmdQueueEntry *queue);
 static bool fillPGconn(PGconn *conn, PQconninfoOption *connOptions);
-- 
2.39.3 (Apple Git-146)

